/*
  LCD Display test on Arduino 328-2560 S100 CPU Board using 2560 CPU
  by John Monahan S100Computers.org   4/23/2018
*/

// LEDs showing Red/Write activity
  #define READ_LED 3                           // PE4 CPU pin 6 to LED D2  (GREEN)
  #define WRITE_LED 2                          // PE5 CPU pin 7 to LED D3  (RED)  

#include <LiquidCrystal.h>
#include <EEPROM.h>
#include <SD.h>
#include <SPI.h>                            // required for Arduino >= 1.5.4

LiquidCrystal lcd(42,47,43,44,45,46);       // CPU pins 42,37,41,40,38,38 (PL7, PL2, PL6, PL5, PL4, PL3)
int x = 0;

void setup() {
  pinMode(WRITE_LED, OUTPUT);
  pinMode(READ_LED, OUTPUT);
  lcd.begin(16,2);                            // set up the LCD's number of columns and rows: 
  lcd.clear();
  lcd.print("LCD Initilized.");
  lcd.setCursor(0,2);
  lcd.print(FreeRam(),DEC);    
  lcd.print(" XBytes free");
}

// the loop function runs over and over again forever
void loop() {
  digitalWrite(WRITE_LED, LOW);        
  delay(100);     
  digitalWrite(WRITE_LED, HIGH);   
  delay(100);     
  digitalWrite(READ_LED, HIGH);        
  delay(100);     
  digitalWrite(READ_LED, LOW);   
  delay(100);     
 
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print(FreeRam(),DEC);  
  lcd.print(" Bytes free");
  lcd.setCursor(0,1);
  lcd.print("Count = ");
  lcd.print(x++,DEC);
}

