/*
  LCD Display test on Arduino 328-2560 S100 CPU Board
  by John Monahan S100Computers.org   5/19/2018
*/


#include <LiquidCrystal.h>
#include <EEPROM.h>
#include <SD.h>
#include <SPI.h>                            // required for Arduino >= 1.5.4

#define WRITE_LED 3                         // 328 CPU Pin5, PD3 (LED D3, Red)
#define READ_LED 2                          // 328 CPU Pin4, PD2 (LED D2, Green)

LiquidCrystal lcd(8, 9, 7, 6, 5, 4);        // CPU pins 14, 15, 6, 11, 12, 13  (PB0, PB1, PD7, PD6, PD5, PD4 of CPU)
                                            // PL7, PL2, PL3, PL4, PL5, PL6 on schematic with P51 jumpers
int x = 0;

void setup() {                              
  pinMode(WRITE_LED, OUTPUT);
  lcd.begin(16,2);                          // Configure LCD Display
  lcd.clear();
  lcd.print("LCD Initilized.");
  lcd.setCursor(0,2);
  lcd.print(FreeRam(),DEC);    
  lcd.print(" XBytes free");
}

// the loop function runs over and over again forever
void loop() {
  digitalWrite(WRITE_LED, HIGH);   
  delay(400);     
  digitalWrite(WRITE_LED, LOW);   
  delay(400);     
 
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print(FreeRam(),DEC);  
  lcd.print(" Bytes free");
  lcd.setCursor(0,1);
  lcd.print("Count = ");
  lcd.print(x++,DEC);
}

