/*
  Test of RS232 Interface on the 328 2560 CPU S100 CPU Board using 2560 CPU and J1 RS232 port.
  Note can still upload code with USB serial connection.
  
  John Monahan    S100Computers.com     6/23/2018
 
  The CPU will use Rx3, Dx3 for the RS232 Connection.
*/


#include <LiquidCrystal.h>
#include <EEPROM.h>
#include <SoftwareSerial.h>
#include <SPI.h>
#include <SD.h>

LiquidCrystal lcd(42,47,43,44,45,46);         // CPU pins 42,37,41,40,38,38 (PL7, PL2, PL6, PL5, PL4, PL3)
int x = 0;

#define READ_LED 3                            // PE4 CPU pin 6 to LED D2  (GREEN)
#define WRITE_LED 2                           // PE5 CPU pin 7 to LED D3  (RED)  
#define RxD3 15                               // JP0 CPU pin 63 to RS232 Serial port via P41
#define TxD3 14                               // JP1 CPU pin 64 to RS232 Serial port via P47

int DataByte = '@';
int cursor_position = 0; 

void setup() {
  pinMode(READ_LED, OUTPUT);                  // RED
  pinMode(WRITE_LED, OUTPUT);                 // GREEN
  pinMode(TxD3, OUTPUT);                      // RS232 OUT
  pinMode(RxD3, INPUT);                       // RS232 IN

  lcd.begin(16,2);
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("RS232 Test ");  
  digitalWrite(WRITE_LED, HIGH);        
  digitalWrite(READ_LED, HIGH);        
  delay(1000);
  Serial3.begin(115200,SERIAL_8N1);           // Serial 8 bits, No parity, 1 stop bit
  while(!Serial3);
  Serial.begin(115200);                      // Open USB serial communications as well
  while(!Serial);
  Serial.print("Initialized USB Serial Interface & Serial3 at 115200 Baud.\r\n");
  Serial.print("Type Characters on PC TTY terminal. They should echo back.\r\n");
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("Type characters on");
  lcd.setCursor(0,1);
  lcd.print("PC TTY Terminal");
  delay(3000);
  lcd.clear();
  lcd.setCursor(0,0);
}


void loop() {
 if(Serial3.available()) {                       // read from port 3, send back to port 3
     digitalWrite(READ_LED, LOW);        
     delay(5);
     DataByte = Serial3.read();
     digitalWrite(READ_LED, HIGH);        
     digitalWrite(WRITE_LED, LOW);        
     delay(10);
     if(cursor_position > 15)
        lcd.scrollDisplayLeft();
     else cursor_position++;
     lcd.print((char)DataByte);  
     Serial3.write(DataByte);
     digitalWrite(WRITE_LED, HIGH);        
     Serial.write(DataByte);
     }       
}
