/*
  SD card read test on Arduino 328-2560 S100 Board
  John Monahan S100Computers.com     4/21/2018
*/

#include <LiquidCrystal.h>
#include <SPI.h>
#include <SD.h>


LiquidCrystal lcd(8, 9, 7, 6, 5, 4);        // CPU pins 14, 15, 6, 11, 12, 13  (PB0, PB1, PD7, PD6, PD5, PD4 of CPU)
                                            // PB0, PB1, PH4, PH3, PE3, PG5 on schematic

const int chipSelect = 10;
File myFile;


void setup() {
  Serial.begin(115200);                 // Open serial communications and wait for port to open:
  while (!Serial) {
    ;                                   // wait for serial port to connect. Needed for native USB port only
  }

  lcd.begin(16, 2);
  lcd.clear();
  lcd.print("SDCard Rd. Test");


  Serial.print("Initializing SD card...");
  pinMode (10, OUTPUT);
                                        // see if the card is present and can be initialized:
  if (!SD.begin(chipSelect)) {
    Serial.println("Card failed, or not present");
    return;
  }
  Serial.println("Card initialized OK.");

  myFile = SD.open("test.txt");

  if (myFile) {
     Serial.println("Reading from file:- test.txt  ......");
     while(myFile.available()){
   Serial.write(myFile.read());
      }
     myFile.close();
     Serial.println("Reading complete. File closed");
  }
  else  Serial.println("Error opening file test,txt");
}


void loop() {
 }





