/*
  SD card write test on Arduino 328-2560 S100 Board
  John Monahan S100Computers.com     4/21/2018
*/

#include <LiquidCrystal.h>
#include <SPI.h>
#include <SD.h>

LiquidCrystal lcd(42,47,43,44,45,46);       // CPU pins 42,37,41,40,38,38 (PL7, PL2, PL6, PL5, PL4, PL3)

const int chipSelect = 53;                  // SS (pin 19 on 2560)
File myFile;


void setup() {
  Serial.begin(115200);                     // Open serial communications and wait for port to open:
  while (!Serial) {
    ;                                       // wait for serial port to connect. Needed for native USB port only
  }

  lcd.begin(16, 2);
  lcd.clear();
  lcd.print("SDCard Wr. Test");


  Serial.print("Initializing SD card...");
  pinMode (10, OUTPUT);
                                        // see if the card is present and can be initialized:
  if (!SD.begin(chipSelect)) {
    Serial.println("Card failed, or not present");
    return;
  }
  Serial.println("Card initialized OK.");


  myFile = SD.open("test.txt", FILE_WRITE);

  if (myFile) {
    Serial.println("Writing to file:- test.txt  ......");
    myFile.println("2560 CPU Test string:- 1,2,3,4,5,6,7,8,9");
    myFile.close();
    Serial.println("Writing complete. File closed");
  }
  else  Serial.println("Error opening file test,txt");
}

void loop() {
}









