/*
  SD card write test on Arduino 328-2560 S100 Board
  John Monahan S100Computers.com     4/21/2018
*/

#include <LiquidCrystal.h>
#include <SPI.h>
#include <SD.h>


LiquidCrystal lcd(8, 9, 7, 6, 5, 4);        // CPU pins 14, 15, 6, 11, 12, 13  (PB0, PB1, PD7, PD6, PD5, PD4 of CPU)
                                            // PB0, PB1, PH4, PH3, PE3, PG5 on schematic

const int chipSelect = 10;
File myFile;


void setup() {
  Serial.begin(115200);                 // Open serial communications and wait for port to open:
  while (!Serial) {
    ;                                   // wait for serial port to connect. Needed for native USB port only
  }

  lcd.begin(16, 2);
  lcd.clear();
  lcd.print("SDCard Wr. Test");


  Serial.print("Initializing SD card...");
  pinMode (10, OUTPUT);
                                        // see if the card is present and can be initialized:
  if (!SD.begin(chipSelect)) {
    Serial.println("Card failed, or not present");
    return;
  }
  Serial.println("Card initialized OK.");


  myFile = SD.open("test.txt", FILE_WRITE);

  if (myFile) {
    Serial.println("Writing to file:- test.txt  ......");
    myFile.println("Test string:- 1,2,3,4,5,6,7,8,9 A, B, C");
    myFile.close();
    Serial.println("Writing complete. File closed");
  }
  else  Serial.println("Error opening file test,txt");
}

void loop() {
}









